Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234415 - gnome-extra/gucharmap-2.22.3 clipboard trashed when exiting program
Summary: gnome-extra/gucharmap-2.22.3 clipboard trashed when exiting program
Status: VERIFIED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-10 22:14 UTC by Daniele C.
Modified: 2008-08-12 13:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele C. 2008-08-10 22:14:47 UTC
If I copy some characters on clipboard and then close gucharmap, the clipboard is empty.

This is of high importange for newbies, in my opinion
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-08-11 10:24:56 UTC
please report this bug upstream and paste the bug report url here.
Comment 2 Daniele C. 2008-08-12 07:38:51 UTC
Done.

http://bugzilla.gnome.org/show_bug.cgi?id=547393
Comment 3 Rémi Cardona gentoo-dev 2008-08-12 08:07:09 UTC
TBH, *all* applications do this. Try with gedit, firefox, anything.

IIRC, the copy/paste buffer in X is managed by the application from which the copy originated. If it's closed, X "rightfully" kills the buffer. Bummer.

Let's see what upstream say, but I'm pretty sure this cannot be fixed without a copy/paste manager (ie, a clipboard)
Comment 4 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-08-12 09:49:00 UTC
(In reply to comment #3)
> TBH, *all* applications do this. Try with gedit, firefox, anything.
> 
> IIRC, the copy/paste buffer in X is managed by the application from which the
> copy originated. If it's closed, X "rightfully" kills the buffer. Bummer.
> 
> Let's see what upstream say, but I'm pretty sure this cannot be fixed without a
> copy/paste manager (ie, a clipboard)
> 

Indeed. This requires an external clipboard manager such as Klipper or Glipper. The upstream bug will probably be marked RESOLVED CANTFIX.
Comment 5 Daniele C. 2008-08-12 13:11:51 UTC
My bad...I did not know about this.

I have now added an xfce4-clipman plugin to my bottom bar and the clipboard works

Thanks